
Redmine - Defect #23067

Custom field List Link values to URL breaks on entries with spaces

2016-06-14 12:34 - Sönke Noack

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.1.7   

Resolution: Fixed Affected version:  

Description

Situation:

You have a custom field of the type "List".

In your list are entries which run like "entry" and "second entry".

While "entry" will generate a link with the "Link values to URL" using value, "second entry" will not be clickable.

If I'd use "second+entry", it'll very well work though.

Suggested solution:

Redmine is to parse blanks and substitute plusses for them automatically before outputting the link.

It will present the list entry in the custom field as a clickable link.

System info:

Environment:

Redmine version                3.2.3.stable

Ruby version                   2.0.0-p647 (2015-08-18) [x86_64-linux]

Rails version                  4.2.5.2

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.13

Git                            2.6.1

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Defect #23841: Custom field URL spaces not decoded properly Closed

Associated revisions

Revision 15539 - 2016-06-18 08:17 - Jean-Philippe Lang

Custom field List Link values to URL breaks on entries with spaces (#23067).

Revision 15550 - 2016-06-18 09:32 - Jean-Philippe Lang

Remove debug stuff introduced in r15539.

Revision 15557 - 2016-06-18 12:16 - Jean-Philippe Lang

Merged r15539 and r15550 (#23067).

Revision 15558 - 2016-06-18 12:16 - Jean-Philippe Lang

Merged r15539 and r15550 (#23067).

Revision 15559 - 2016-06-18 12:17 - Jean-Philippe Lang

Backported r15539 (#23067).

History

#1 - 2016-06-18 08:18 - Jean-Philippe Lang

- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.7

- Resolution set to Fixed

Fix committed in r15539, thanks for pointing this out.

#3 - 2016-06-18 12:17 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2016-06-28 13:31 - Sönke Noack

Thank you very much for the swift fix, Jean-Philippe :)

#5 - 2016-08-09 12:27 - Philip Schiffer

This breaks pretty much any url which has fragments. You should never encode the complete url, just the parameters.

Example: Try to link to

http://example.com#test=%m1%

The link will now be

http://example.com%23test=%m1%

#6 - 2016-09-16 03:32 - Toshi MARUYAMA

- Related to Defect #23841: Custom field URL spaces not decoded properly added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/15539
http://www.tcpdf.org

